Transfer to another Institution’s account or Pix key

Creates a balance transfer from the Asaas account to an external bank account or to a Pix key.

When using bankAccount, operationType can define whether the transfer is made via Pix or TED. When operationType is not provided, Asaas uses Pix if the destination institution participates in the Pix scheme, and TED otherwise. For transfers to a Pix key, use pixAddressKey with pixAddressKeyType.

For Pix transfers, scheduleDate lets you schedule the execution and recurring configures a recurrence. Recurring Pix is a funds transfer flow and does not generate a QR Code for payment.

📘

Tracking the transfer

Creating the transfer does not mean it has already been completed.

Track the processing through the transfer Webhooks, including the completion, failure and cancellation events.

See the transfer events.

Related content

Guides

Body Params
number
required

Amount to be transferred

bankAccount
object

Enter your account details if it is a transfer to a bank account

string
enum

Transfer modality. If not informed and the receiving institution is a Pix participant, the transfer is via Pix. Otherwise via TED.

Allowed:
string

Enter the Pix key if it is a transfer to a Pix key

string
enum

Enter the type of key if it is a transfer to a Pix key

Allowed:
string

Transfers via Pix allow description

date

For scheduled transfers, if not informed, payment is instantaneous

string

Transfer identifier in your system

recurring
object

Recurrence information. Only for Pix transfers

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json